Subject: [PATCH RFC 2/3] i2c-nomadik: turn the platform driver to an amba driver

From: [email-masked] (Alessandro Rubini)
Date: Thu, 31 May 2012 20:02:04 +0200

> But since the device has PrimeCell ID registers, this is really the
> right thing to do anyway, since autodetecting from hardware is
> allways NiceToDo(TM).  Else ST and us shouldn't have put the magic
> numbers (0xB105F00D) in there anyway.

Exactly. The pci-amba.c driver just says "here's an amba thing at
my BAR0 address", and then it is idenfitied automatically. There is
also automatic modalias support in place.

So I'll resubmit in the right way (-M, include/linux/platform_data)
as soon as I have information for ftd fixup.

Thanks
/alessandro